Apche mit ssl kompilieren - OpenSSL headers not found

Alles, was den Apache betrifft, kann hier besprochen werden.

Apche mit ssl kompilieren - OpenSSL headers not found

Postby bicpi » 22. July 2005 16:33

Hi, ich möchte die SSL-Unterstützung im Apache aktivieren bzw. installieren (selbst kompiliert).
Jetzt habe ich festgestellt, dass das mod_ssl nur für Version 1.3 verfügbar ist, also hab ichs beim kompilieren mit
Code: Select all
./configure --enable-ssl

versucht.

Das configure bricht dann aber mit
Code: Select all
checking whether to enable mod_ssl... checking dependencies
checking for SSL/TLS toolkit base... /usr
checking for SSL/TLS toolkit version... OpenSSL 0.9.7e 25 Oct 2004
checking for SSL/TLS toolkit includes... configure: error: OpenSSL headers not found

ab.

OpenSSL war schon unter 9.3 vorinstalliert, wo liegt da das Problem?

Danke und viele Grüße[/code]
bicpi
 
Posts: 7
Joined: 27. May 2005 11:25

Postby Wiedmann » 22. July 2005 16:47

Jetzt habe ich festgestellt, dass das mod_ssl nur für Version 1.3 verfügbar ist

"mod_ssl" gibt es bei jeder Apachen Version. Muss man ja nur, wie du es schon festgestellt hast, beim "configure" angeben das man es haben will (ist per default disabled).

OpenSSL war schon unter 9.3 vorinstalliert, wo liegt da das Problem?

Was ist 9.3? Du meinst ein OpenSSL 9.3? (wenn es sowas überhaupt noch gibt). Ansonsten. Welche OpenSSL Version hast du denn installiert?

Das configure bricht dann aber mit

Yup. Wie da auch steht, findet der Apache die Header für OpenSSL nicht. Wo er sucht steht ja auch dran. Wo sind die auf deinem System zu finden? Mit "configure --help" kannst den den Schalter herausfinden, mit welchem man man dem Apache das richtige Verzeichnis beibringt.
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

Postby bicpi » 22. July 2005 17:52

Danke für Deine Antwort :-)

Mit 9.3 meinte ich SuSE 9.3, Sorry, hatte erst im SuSE Forum gefragt gehabt.

Also vielleicht gibt es bei mir noch ein paar Missverständnisse:
mit
Code: Select all
configure --enable-ssl

beim Apache aktiviere ich doch Apache-SSL, oder?

Und das Modul mod_ssl ist bei Apache 2.0.54 schon dabei? Im modules-Verzeichnis finde ich nichts.
Was muss ich angeben, um es gleich mit einzukompilieren, oder ist das wieder das --enable-ssl?

Sorri, dass ich so auf dem Schlauch stehe, ich freue mih sehr über die Hilfe.

Viele Grüße
bicpi
 
Posts: 7
Joined: 27. May 2005 11:25

Postby PF4 » 22. July 2005 19:55

Hallo,

du brauchst das openssl-dev Paket. Dann gehts!
"2 Dinge sind unendlich die Dummheit der Menschheit und das Universum , aber beim Universum bin ich mir noch nicht sicher“
Albert Einstein
PF4
 
Posts: 528
Joined: 10. March 2003 09:15

Postby bicpi » 22. July 2005 20:47

Und habe ich dann Apache-SSL oder das mod_ssl einkompiliert?
Sorri, kanns erst morgen selbst testen
bicpi
 
Posts: 7
Joined: 27. May 2005 11:25


Return to Apache

Who is online

Users browsing this forum: No registered users and 5 guests